Attach reseller information to an order

Use this method to add reseller details to a partner order.

Request parameters

Parameter
Type / Description

sessionID

Required (string)

Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.

refNo

Required (string)

The unique, system-generated identifier of a partner order.

resellerCode

Required (string)

Unique code identifying a specific reseller.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$refNo = 'YOUR_ORDER_REFERENCE_NUMBER';
$resellerCode = 'NEW_RESELLER_CODE';

try {
    $AddedReseller = $client->setOrderReseller($sessionID, $refNo, $resellerCode);
} catch (SoapFault $e) {
    echo "orderReseller: " . $e->getMessage();
    exit;
}
var_dump("orderReseller ", $AddedReseller);

Response parameters

Parameter
Type / Description

result

Boolean

True or false

Errors

Error
Description

NOT_FOUND_PARTNER

No partner set before invoking the method.

EMPTY_ORDER_REFERENCE

Order reference not provided.

INVALID_PARTNER_RESELLER_CODE

Invalid partner reseller provided.

INVALID_SUBSCRIPTION_REFERENCE

No reseller defined for this order reference.

INVALID_PARTNER_RESELLER_CODE

No partner reseller found for the specified code.

Last updated

Was this helpful?